# ModelClassification (ARX GUI Documentation)

org.deidentifier.arx.gui.model

## Class ModelClassification

- java.lang.Object
- - org.deidentifier.arx.gui.model.ModelClassification

- All Implemented Interfaces:
    java.io.Serializable

      public class ModelClassification
      extends java.lang.Object
      implements java.io.Serializable

  This class represents a model
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelClassification()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAlpha()`
    `ARXLogisticRegressionConfiguration` | `getARXLogisticRegressionConfiguration()` Returns a config for ARX
    `double` | `getDecayExponent()`
    `double` | `getLambda()`
    `double` | `getLearningRate()`
    `int` | `getMaxRecords()`
    `java.lang.Integer` | `getNumberOfFolds()`
    `ARXLogisticRegressionConfiguration.PriorFunction` | `getPriorFunction()`
    `java.lang.Integer` | `getSeed()`
    `int` | `getStepOffset()`
    `int` | `getVectorLength()`
    `boolean` | `isDeterministic()`
    `boolean` | `isModified()` Is this model modified
    `void` | `setAlpha(double alpha)`
    `void` | `setDecayExponent(double decayExponent)`
    `void` | `setDeterministic(boolean deterministic)`
    `void` | `setLambda(double lambda)`
    `void` | `setLearningRate(double learningRate)`
    `void` | `setMaxRecords(int maxRecords)`
    `void` | `setNumberOfFolds(java.lang.Integer numberOfFolds)`
    `void` | `setPriorFunction(ARXLogisticRegressionConfiguration.PriorFunction priorFunction)`
    `void` | `setSeed(java.lang.Integer seed)`
    `void` | `setStepOffset(int stepOffset)`
    `void` | `setUnmodified()` Set unmodified
    `ARXLogisticRegressionConfiguration` | `setVectorLength(int vectorLength)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelClassification

          public ModelClassification()

  - ### Method Detail

    - #### getAlpha

          public double getAlpha()

      Returns:
      See Also:
        `ARXLogisticRegressionConfiguration.getAlpha()`

    - #### getARXLogisticRegressionConfiguration

          public ARXLogisticRegressionConfiguration getARXLogisticRegressionConfiguration()

      Returns a config for ARX
      Returns:

    - #### getDecayExponent

          public double getDecayExponent()

      Returns:
      See Also:
        `ARXLogisticRegressionConfiguration.getDecayExponent()`

    - #### getLambda

          public double getLambda()

      Returns:
      See Also:
        `ARXLogisticRegressionConfiguration.getLambda()`

    - #### getLearningRate

          public double getLearningRate()

      Returns:
      See Also:
        `ARXLogisticRegressionConfiguration.getLearningRate()`

    - #### getMaxRecords

          public int getMaxRecords()

      Returns:
      See Also:
        `ARXLogisticRegressionConfiguration.getMaxRecords()`

    - #### getNumberOfFolds

          public java.lang.Integer getNumberOfFolds()

      Returns:
      See Also:
        `ARXLogisticRegressionConfiguration.getNumFolds()`

    - #### getPriorFunction

          public ARXLogisticRegressionConfiguration.PriorFunction getPriorFunction()

      Returns:
      See Also:
        `ARXLogisticRegressionConfiguration.getPriorFunction()`

    - #### getSeed

          public java.lang.Integer getSeed()

      Returns:
      See Also:
        `ARXLogisticRegressionConfiguration.getSeed()`

    - #### getStepOffset

          public int getStepOffset()

      Returns:
      See Also:
        `ARXLogisticRegressionConfiguration.getStepOffset()`

    - #### getVectorLength

          public int getVectorLength()

      Returns:
      See Also:
        `ARXLogisticRegressionConfiguration.getVectorLength()`

    - #### isDeterministic

          public boolean isDeterministic()

      Returns:
      See Also:
        `ARXLogisticRegressionConfiguration.isDeterministic()`

    - #### isModified

          public boolean isModified()

      Is this model modified
      Returns:

    - #### setAlpha

          public void setAlpha(double alpha)

      Parameters:
        `alpha` -
      See Also:
        `ARXLogisticRegressionConfiguration.setAlpha(double)`

    - #### setDecayExponent

          public void setDecayExponent(double decayExponent)

      Parameters:
        `decayExponent` -
      See Also:
        `ARXLogisticRegressionConfiguration.setDecayExponent(double)`

    - #### setDeterministic

          public void setDeterministic(boolean deterministic)

      Parameters:
        `stepOffset` -
      See Also:
        `ARXLogisticRegressionConfiguration.setDeterministic(boolean)`

    - #### setLambda

          public void setLambda(double lambda)

      Parameters:
        `lambda` -
      See Also:
        `ARXLogisticRegressionConfiguration.setLambda(double)`

    - #### setLearningRate

          public void setLearningRate(double learningRate)

      Parameters:
        `learningRate` -
      See Also:
        `ARXLogisticRegressionConfiguration.setLearningRate(double)`

    - #### setMaxRecords

          public void setMaxRecords(int maxRecords)

      Parameters:
        `maxRecords` -
      See Also:
        `ARXLogisticRegressionConfiguration.setMaxRecords(int)`

    - #### setNumberOfFolds

          public void setNumberOfFolds(java.lang.Integer numberOfFolds)

      Parameters:
        `numberOfFolds` -
      See Also:
        `org.deidentifier.arx.ARXLogisticRegressionConfiguration#setNumFolds(java.lang.Integer)`

    - #### setPriorFunction

          public void setPriorFunction(ARXLogisticRegressionConfiguration.PriorFunction priorFunction)

      Parameters:
        `priorFunction` -
      See Also:
        `ARXLogisticRegressionConfiguration.setPriorFunction(org.deidentifier.arx.ARXLogisticRegressionConfiguration.PriorFunction)`

    - #### setSeed

          public void setSeed(java.lang.Integer seed)

      Parameters:
        `seed` -
      See Also:
        `org.deidentifier.arx.ARXLogisticRegressionConfiguration#setSeed(java.lang.Integer)`

    - #### setStepOffset

          public void setStepOffset(int stepOffset)

      Parameters:
        `stepOffset` -
      See Also:
        `ARXLogisticRegressionConfiguration.setStepOffset(int)`

    - #### setUnmodified

          public void setUnmodified()

      Set unmodified

    - #### setVectorLength

          public ARXLogisticRegressionConfiguration setVectorLength(int vectorLength)

      Parameters:
        `vectorLength` -
      Returns:
      See Also:
        `ARXLogisticRegressionConfiguration.setVectorLength(int)`